io.vertx.redis.op

## Class KillFilter

- java.lang.Object
- - io.vertx.redis.op.KillFilter

- Deprecated.
  Use `Redis`

      @Deprecated
      public class KillFilter
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KillFilter.Type` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KillFilter()` Deprecated.
    `KillFilter(JsonObject json)` Deprecated.
    `KillFilter(KillFilter copy)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `KillFilter` | `setAddr(String addr)` Deprecated. Set ADDR filter
    `KillFilter` | `setId(String clientid)` Deprecated. Set ID filter
    `KillFilter` | `setSkipme(boolean skip)` Deprecated. Set SKIPME filter
    `KillFilter` | `setType(KillFilter.Type type)` Deprecated. Set TYPE filter
    `JsonObject` | `toJson()` Deprecated.
    `JsonArray` | `toJsonArray()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KillFilter

          public KillFilter()

      Deprecated.

    - #### KillFilter

          public KillFilter(KillFilter copy)

      Deprecated.

    - #### KillFilter

          public KillFilter(JsonObject json)

      Deprecated.

  - ### Method Detail

    - #### setAddr

          public KillFilter setAddr(String addr)

      Deprecated.
      Set ADDR filter
      Parameters:
        `addr` - Address filter of form addr:port
      Returns:
        This

    - #### setId

          public KillFilter setId(String clientid)

      Deprecated.
      Set ID filter
      Parameters:
        `clientid` - Client id as returned by CLIENT LIST command
      Returns:
        This

    - #### setType

          public KillFilter setType(KillFilter.Type type)

      Deprecated.
      Set TYPE filter
      Parameters:
        `type` - KillType to include
      Returns:
        This

    - #### setSkipme

          public KillFilter setSkipme(boolean skip)

      Deprecated.
      Set SKIPME filter
      Parameters:
        `skip` - True if current client should be excluded from KILL
      Returns:
        This

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### toJsonArray

          public JsonArray toJsonArray()

      Deprecated.

Copyright © 2020 Eclipse. All rights reserved.